SiliconFlow
API手册

删除参考音频

删除用户自定义音色风格

POST
/audio/voice/deletions
AuthorizationBearer <token>required

添加 Header 'Authorization: Bearer {账户 API Key}' 进行鉴权

In: header

Header Parameters

X-Trace-Idstring

请求追踪 ID。可自定义传入用于标记本次请求;若不传入,平台将自动生成。排查问题时,提供该值或响应头中的 x-siliconcloud-trace-id 均可。

traceparentstring

W3C Trace Context 标准追踪头。传入时,平台取其中的 trace-id 作为本次请求的追踪标识。

uristringrequired

用户要删除的音色风格

Example"speech:your-voice-name:xxx:xxxx"

Response Body

成功响应。响应头中包含 x-siliconcloud-trace-id 字段,作为请求的唯一追踪标识;用户自定义传入的 X-Trace-Id 请求头(如有)也会以该字段原样返回。排查问题时,提供任一 trace ID 即可。

TypeScript Definitions

Use the response body type in TypeScript.

responsestring

curl --request POST \
  --url https://api.siliconflow.cn/v1/audio/voice/deletions \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "uri": "speech:your-voice-name:xxx:xxxx"
  }'
import requests

url = "https://api.siliconflow.cn/v1/audio/voice/deletions"
payload = {"uri": "speech:your-voice-name:xxx:xxxx"}
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)
print(response.text)
"string"
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.cn. Details:TPM limit reached.",
  "data": "string"
}
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"
删除参考音频